This thread has been locked.

If you have a related question, please click the "Ask a related question" button in the top right corner. The newly created question will be automatically linked to this question.

[参考译文] LAUNCHXL-CC1350:simple_peripheral 示例 won 和#39;t run

Guru**** 1082200 points
Other Parts Discussed in Thread: CC1350, TIDA-01469, BLE-STACK
请注意,本文内容源自机器翻译,可能存在语法或其它翻译错误,仅供参考。如需获取准确内容,请参阅链接中的英语原文或自行翻译。

https://e2e.ti.com/support/wireless-connectivity/sub-1-ghz-group/sub-1-ghz/f/sub-1-ghz-forum/847995/launchxl-cc1350-simple_peripheral-example-won-t-run

器件型号:LAUNCHXL-CC1350
Thread 中讨论的其他器件:CC1350TIDA-01469BLE-STACK

我正在尝试让 simple_peripheral 示例代码在 CC1350 LaunchPad (修订版1.3)上运行。  我已经使用 CCS 构建并加载了应用程序和堆栈、但当我运行时、从未将其执行到 SimpleBLEPeripheral_taskFxn。  下面是我获取应用程序和堆栈的位置:

C:\ti\simplelink\ble_sdk_2_02_01_18\examples\cc1350lp\simple_peripheral\ccs

  • 请注意,本文内容源自机器翻译,可能存在语法或其它翻译错误,仅供参考。如需获取准确内容,请参阅链接中的英语原文或自行翻译。

    您好、Gus、

    指派专家进行评论。

  • 请注意,本文内容源自机器翻译,可能存在语法或其它翻译错误,仅供参考。如需获取准确内容,请参阅链接中的英语原文或自行翻译。

    您好、Gus、

    这是一个非常旧的软件版本。 如果需要、我可以帮助您进行调试(仍然可以正常工作)、但我建议您使用此示例的最新版本、该版本可在 SimpleLink CC13x0 SDK 中找到:

  • 请注意,本文内容源自机器翻译,可能存在语法或其它翻译错误,仅供参考。如需获取准确内容,请参阅链接中的英语原文或自行翻译。

    不幸的是、我需要这个版本。  此版本中的 simple_peripheral 示例是 TIDA-01469的基础、这是我最终需要运行的内容。  在重新构建固件后、TIDA-01469也没有运行、我正在尝试找出原因。

  • 请注意,本文内容源自机器翻译,可能存在语法或其它翻译错误,仅供参考。如需获取准确内容,请参阅链接中的英语原文或自行翻译。

    您好、Gus、

    我刚刚使用 BLE-Stack 2.2.1进行了测试、无法再现您看到的内容。 简单外设运行无问题。

    您是否进行了任何代码更改?

    您是否对应用程序和堆栈项目进行了编程?

    您能否发布一个屏幕转储、说明在按下"Play"后尝试暂停调试会话会发生什么情况?

  • 请注意,本文内容源自机器翻译,可能存在语法或其它翻译错误,仅供参考。如需获取准确内容,请参阅链接中的英语原文或自行翻译。

    玛丽、

    我注意到 CCS 标记的以下警告:

    "此项目是使用当前未安装的编译器版本创建的- 5.2.6 [ARM]。 编译器的另一个版本将在编译期间使用- 16.9.1.LTS。 请参阅"帮助">"安装新软件"并选择"代码生成工具更新"以检查此编译器是否可通过 CCS 更新获得。"

    我继续下载并安装了 ARM 编译器版本5.2.6、删除了 CCS simple_peripheral 项目、重新导入并重建了这些项目。  现在示例正常工作。 好的、我是说我可以使用手机上的 BLE 扫描仪应用查看电路板。  我还可以访问放置在 SimplePeripheral_taskFxn 中的断点。

    作为完整性检查、我使用较新的编译器 v 16.9.x 重建了工作中的应用程序和栈项目、并重新加载了这些项目。  这次代码未运行(BLE Scanner 应用中未显示电路板、并且我从未在 SimplePeripheral_taskFxn 中达到断点)。  编译器版本似乎是这里的问题。